# 🐛 Bugs and Issues

We strive to make our application as reliable and user-friendly as possible. If you encounter any bugs or issues, we appreciate your feedback. Here’s how you can report them and stay updated on their status.

### How to Report an Issue

To report a bug or issue, please follow these steps:

1. **Visit our GitHub Repository**: [Odin's Spear Issues](https://github.com/Jordan-Prescott/odins\_spear/issues)
2. **Check for Existing Issues**: Before creating a new issue, please check if it has already been reported by searching through the existing issues.
3. **Create a New Issue**:
   * Click on the "New issue" button.
   * Provide a descriptive title and detailed description of the issue.
   * Include steps to reproduce the issue, your operating system, browser version, and any other relevant information.
   * Add any relevant labels (e.g., bug, enhancement).

### Issue Tracker

You can view and track the status of reported issues on our GitHub Issues page. This page includes information on:

* Open issues
* Closed issues
* Labels for categorizing issues (e.g., bug, enhancement, question)
* Milestones and project boards

### Stay Updated

To stay updated on the progress of issues:

* **Watch the Repository**: Click the "Watch" button on our GitHub repository to receive notifications.
* **Join Discussions**: Participate in discussions on issues and pull requests to provide feedback and suggestions.

### Contact Us

If you need further assistance with reporting an issue or have any questions, please reach out to us our contact details are on the below page:

{% content-ref url="contact.md" %}
[contact.md](contact.md)
{% endcontent-ref %}

Thank you for helping us improve our application!
