# 👨‍💻 Development

Welcome to the Development page! Here you can learn about our development process, track progress, and stay informed about upcoming features and updates.

### Overview

Our dedicated development team is continuously working to improve the application, adding new features, fixing bugs, and enhancing performance. We follow a structured development process to ensure high-quality and reliable updates.

### Development Process

1. **Planning**: We gather feedback from users and stakeholders to plan new features and improvements. This includes prioritising requests and defining the scope of each development cycle.
2. **Development**: Our team implements new features and fixes bugs. We follow industry best practices and rigorous testing to ensure stability and performance.
3. **Testing**: Before any release, we conduct extensive testing, including unit tests, integration tests, and user acceptance testing, to ensure the highest quality.
4. **Release**: Updates are deployed in a controlled manner, with detailed release notes to inform users of the changes.

### Release Notes

Stay up-to-date with our latest releases by checking the release notes. These notes provide detailed information on new features, improvements, and bug fixes: [Release Notes](https://github.com/Jordan-Prescott/odins\_spear/releases)

### Feature Requests

We value your feedback and suggestions for new features. While we cannot guarantee every request will be implemented, we consider all user feedback during our planning phase. To suggest a feature, please create a new issue on our issue board with as much detail as possible and label this issue `enhancement` here: [New Feature Request](https://github.com/Jordan-Prescott/odins\_spear/issues)

### Roadmap

We maintain a roadmap that outlines our planned features and improvements. This helps you understand what’s coming next and how we are evolving the application. Visit our roadmap here: [Development Roadmap](https://github.com/users/Jordan-Prescott/projects/2/views/10)
